classification
Title: uudecoding (uu.py) does not supprt base64, patch attached
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: dudek, ezio.melotti, ggenellina
Priority: normal Keywords: patch

Created on 2007-08-26 19:02 by dudek, last changed 2010-04-29 17:59 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
uu.py-base64ugrade.diff dudek, 2007-08-26 19:04
Messages (3)
msg55310 - (view) Author: Gregory Dudek (dudek) Date: 2007-08-26 19:04
The uu.py library for uuencoding and uudecoding does not support base64 
encodins.  The patch addached here adds base64 decoding, but does not add 
encoding support.
msg55549 - (view) Author: Gabriel Genellina (ggenellina) Date: 2007-09-01 02:21
I think the 2.4 version is in maintenance mode, so no new features are 
added.

You may target 2.5 or 2.6. But the patch is incorrect: the base64 name 
is undefined. You should include test cases and documentation changes 
also; please read http://www.python.org/dev/patches/
msg90097 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-07-04 02:11
Now it's too late for 2.5 and probably for 2.6 too. If there are no news
this can probably be closed.
History
Date User Action Args
2010-04-29 17:59:46terry.reedysetstatus: pending -> closed
2009-07-04 02:11:52ezio.melottisetstatus: open -> pending
versions: + Python 2.7, - Python 2.4
nosy: + ezio.melotti

messages: + msg90097
2007-09-17 07:20:24jafosetpriority: normal
2007-09-02 20:08:49loewissetkeywords: + patch
2007-09-01 02:21:35ggenellinasetnosy: + ggenellina
messages: + msg55549
components: + Library (Lib), - Extension Modules
2007-08-26 19:04:18dudeksetfiles: + uu.py-base64ugrade.diff
nosy: + dudek
messages: + msg55310
2007-08-26 19:02:31dudekcreate